<?xml version="1.0" encoding="UTF-8"?>
<module type="RUBY_MODULE" version="4">
  <component name="FacetManager">
    <facet type="RailsFacetType" name="Ruby on Rails">
      <configuration>
        <RAILS_FACET_CONFIG_ID NAME="RAILS_FACET_SUPPORT_REMOVED" VALUE="false" />
        <RAILS_FACET_CONFIG_ID NAME="RAILS_TESTS_SOURCES_PATCHED" VALUE="true" />
        <RAILS_FACET_CONFIG_ID NAME="RAILS_FACET_APPLICATION_ROOT" VALUE="$MODULE_DIR$" />
      </configuration>
    </facet>
  </component>
  <component name="ModuleRunConfigurationManager">
    <shared />
  </component>
  <component name="NewModuleRootManager">
    <content url="file://$MODULE_DIR$">
      <sourceFolder url="file://$MODULE_DIR$/features" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/spec" isTestSource="true" />
      <sourceFolder url="file://$MODULE_DIR$/test" isTestSource="true" />
      <excludeFolder url="file://$MODULE_DIR$/.bundle" />
      <excludeFolder url="file://$MODULE_DIR$/public/packs" />
      <excludeFolder url="file://$MODULE_DIR$/vendor/bundle" />
      <excludeFolder url="file://$MODULE_DIR$/vendor/cache" />
      <excludeFolder url="file://$MODULE_DIR$/log" />
      <excludeFolder url="file://$MODULE_DIR$/tmp" />
      <excludeFolder url="file://$MODULE_DIR$/public/system" />
      <excludeFolder url="file://$MODULE_DIR$/components" />
    </content>
    <orderEntry type="jdk" jdkName="RVM: ruby-3.0.0" jdkType="RUBY_SDK" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="library" scope="PROVIDED" name="actioncable (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionmailbox (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionmailer (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionpack (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actiontext (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="actionview (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activejob (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activemodel (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activerecord (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activestorage (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="activesupport (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="addressable (v2.7.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="babel-source (v5.8.35, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="babel-transpiler (v0.7.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="bcrypt (v3.1.16, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="bootsnap (v1.7.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="builder (v3.2.4, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="bundler (v2.2.15, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="byebug (v11.1.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="capybara (v3.35.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="childprocess (v3.0.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="coderay (v1.1.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="concurrent-ruby (v1.1.8, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="connection_pool (v2.2.5, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="crass (v1.0.6, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="diff-lcs (v1.4.4, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="dotenv (v2.7.6, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="dotenv-rails (v2.7.6, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="erubi (v1.10.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="execjs (v2.7.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="factory_bot (v6.1.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="factory_bot_rails (v6.1.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="faker (v2.17.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="ffi (v1.15.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="globalid (v0.4.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="i18n (v1.8.10, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="listen (v3.5.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="loofah (v2.9.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mail (v2.7.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="marcel (v1.0.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="method_source (v1.0.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="mini_mime (v1.0.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="minitest (v5.14.4, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="msgpack (v1.4.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="nio4r (v2.5.7, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="nokogiri (v1.11.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="pg (v1.2.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="pry (v0.14.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="pry-rails (v0.3.9, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="public_suffix (v4.0.6, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="puma (v5.2.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="racc (v1.5.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack (v2.2.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-cors (v1.1.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-proxy (v0.6.5, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rack-test (v1.1.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails-dom-testing (v2.0.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rails-html-sanitizer (v1.3.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="railties (v6.1.3.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rake (v13.0.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rb-fsevent (v0.10.4, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rb-inotify (v0.10.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rbs (v1.0.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="react-rails (v2.6.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="regexp_parser (v2.1.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rexml (v3.2.4, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rspec-core (v3.10.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rspec-expectations (v3.10.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rspec-mocks (v3.10.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rspec-rails (v5.0.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rspec-support (v3.10.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="rubyzip (v2.3.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="selenium-webdriver (v3.142.7, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="semantic_range (v3.0.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="spring (v2.1.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="sprockets (v4.0.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="sprockets-rails (v3.2.2, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="thor (v1.1.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="tilt (v2.0.10, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="tzinfo (v2.0.4, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="webdrivers (v4.6.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="webpacker (v5.2.1, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="websocket-driver (v0.7.3, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="websocket-extensions (v0.1.5, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="xpath (v3.2.0, RVM: ruby-3.0.0) [gem]" level="application" />
    <orderEntry type="library" scope="PROVIDED" name="zeitwerk (v2.4.2, RVM: ruby-3.0.0) [gem]" level="application" />
  </component>
  <component name="RModuleSettingsStorage">
    <LOAD_PATH number="0" />
    <I18N_FOLDERS number="1" string0="$MODULE_DIR$/config/locales" />
  </component>
  <component name="RailsGeneratorsCache">
    <option name="generators">
      <list>
        <option value="active_record:application_record" />
        <option value="active_record:migration" />
        <option value="active_record:model" />
        <option value="application_record" />
        <option value="assets" />
        <option value="benchmark" />
        <option value="channel" />
        <option value="controller" />
        <option value="factory_bot:model" />
        <option value="generator" />
        <option value="helper" />
        <option value="integration_test" />
        <option value="job" />
        <option value="mailbox" />
        <option value="mailer" />
        <option value="migration" />
        <option value="model" />
        <option value="react:component" />
        <option value="react:install" />
        <option value="resource" />
        <option value="rspec:channel" />
        <option value="rspec:controller" />
        <option value="rspec:feature" />
        <option value="rspec:generator" />
        <option value="rspec:helper" />
        <option value="rspec:install" />
        <option value="rspec:integration" />
        <option value="rspec:job" />
        <option value="rspec:mailbox" />
        <option value="rspec:mailer" />
        <option value="rspec:model" />
        <option value="rspec:request" />
        <option value="rspec:scaffold" />
        <option value="rspec:system" />
        <option value="rspec:view" />
        <option value="scaffold" />
        <option value="scaffold_controller" />
        <option value="system_test" />
        <option value="task" />
        <option value="test_unit:channel" />
        <option value="test_unit:controller" />
        <option value="test_unit:generator" />
        <option value="test_unit:helper" />
        <option value="test_unit:install" />
        <option value="test_unit:integration" />
        <option value="test_unit:job" />
        <option value="test_unit:mailbox" />
        <option value="test_unit:mailer" />
        <option value="test_unit:model" />
        <option value="test_unit:plugin" />
        <option value="test_unit:scaffold" />
        <option value="test_unit:system" />
      </list>
    </option>
    <option name="myGenerators">
      <list>
        <option value="active_record:application_record" />
        <option value="active_record:migration" />
        <option value="active_record:model" />
        <option value="application_record" />
        <option value="assets" />
        <option value="benchmark" />
        <option value="channel" />
        <option value="controller" />
        <option value="factory_bot:model" />
        <option value="generator" />
        <option value="helper" />
        <option value="integration_test" />
        <option value="job" />
        <option value="mailbox" />
        <option value="mailer" />
        <option value="migration" />
        <option value="model" />
        <option value="react:component" />
        <option value="react:install" />
        <option value="resource" />
        <option value="rspec:channel" />
        <option value="rspec:controller" />
        <option value="rspec:feature" />
        <option value="rspec:generator" />
        <option value="rspec:helper" />
        <option value="rspec:install" />
        <option value="rspec:integration" />
        <option value="rspec:job" />
        <option value="rspec:mailbox" />
        <option value="rspec:mailer" />
        <option value="rspec:model" />
        <option value="rspec:request" />
        <option value="rspec:scaffold" />
        <option value="rspec:system" />
        <option value="rspec:view" />
        <option value="scaffold" />
        <option value="scaffold_controller" />
        <option value="system_test" />
        <option value="task" />
        <option value="test_unit:channel" />
        <option value="test_unit:controller" />
        <option value="test_unit:generator" />
        <option value="test_unit:helper" />
        <option value="test_unit:install" />
        <option value="test_unit:integration" />
        <option value="test_unit:job" />
        <option value="test_unit:mailbox" />
        <option value="test_unit:mailer" />
        <option value="test_unit:model" />
        <option value="test_unit:plugin" />
        <option value="test_unit:scaffold" />
        <option value="test_unit:system" />
      </list>
    </option>
  </component>
  <component name="RakeTasksCache">
    <option name="myRootTask">
      <RakeTaskImpl id="rake">
        <subtasks>
          <RakeTaskImpl description="List versions of all Rails frameworks and the environment" fullCommand="about" id="about" />
          <RakeTaskImpl id="action_mailbox">
            <subtasks>
              <RakeTaskImpl id="ingress">
                <subtasks>
                  <RakeTaskImpl description="Relay an inbound email from Exim to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:exim" id="exim" />
                  <RakeTaskImpl description="Relay an inbound email from Postfix to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:postfix" id="postfix" />
                  <RakeTaskImpl description="Relay an inbound email from Qmail to Action Mailbox (URL and INGRESS_PASSWORD required)" fullCommand="action_mailbox:ingress:qmail" id="qmail" />
                  <RakeTaskImpl description="" fullCommand="action_mailbox:ingress:environment" id="environment" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Installs Action Mailbox and its dependencies" fullCommand="action_mailbox:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="Copy migrations from action_mailbox to application" fullCommand="action_mailbox:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="action_text">
            <subtasks>
              <RakeTaskImpl description="Copy over the migration, stylesheet, and JavaScript files" fullCommand="action_text:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="Copy migrations from action_text to application" fullCommand="action_text:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="active_storage">
            <subtasks>
              <RakeTaskImpl description="Copy over the migration needed to the application" fullCommand="active_storage:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="active_storage:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="active_storage:update" id="update" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="app">
            <subtasks>
              <RakeTaskImpl description="Applies the template supplied by LOCATION=(/path/to/template) or URL" fullCommand="app:template" id="template" />
              <RakeTaskImpl description="Update configs and some other initially generated files (or use just update:configs or update:bin)" fullCommand="app:update" id="update" />
              <RakeTaskImpl id="binstub">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="app:binstub:yarn" id="yarn" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="templates">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="app:templates:copy" id="copy" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="update">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="app:update:active_storage" id="active_storage" />
                  <RakeTaskImpl description="" fullCommand="app:update:bin" id="bin" />
                  <RakeTaskImpl description="" fullCommand="app:update:configs" id="configs" />
                  <RakeTaskImpl description="" fullCommand="app:update:upgrade_guide_info" id="upgrade_guide_info" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="cache_digests">
            <subtasks>
              <RakeTaskImpl description="Lookup first-level dependencies for TEMPLATE (like messages/show or comments/_comment.html)" fullCommand="cache_digests:dependencies" id="dependencies" />
              <RakeTaskImpl description="Lookup nested dependencies for TEMPLATE (like messages/show or comments/_comment.html)" fullCommand="cache_digests:nested_dependencies" id="nested_dependencies" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="db">
            <subtasks>
              <RakeTaskImpl description="Creates the database from DATABASE_URL or config/database.yml for the current RAILS_ENV (use db:create:all to create all databases in the config). Without RAILS_ENV or when RAILS_ENV is development, it defaults to creating the development and test databases, except when DATABASE_URL is present" fullCommand="db:create" id="create" />
              <RakeTaskImpl description="Drops the database from DATABASE_URL or config/database.yml for the current RAILS_ENV (use db:drop:all to drop all databases in the config). Without RAILS_ENV or when RAILS_ENV is development, it defaults to dropping the development and test databases, except when DATABASE_URL is present" fullCommand="db:drop" id="drop" />
              <RakeTaskImpl id="environment">
                <subtasks>
                  <RakeTaskImpl description="Set the environment value for the database" fullCommand="db:environment:set" id="set" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="fixtures">
                <subtasks>
                  <RakeTaskImpl description="Loads fixtures into the current environment's database" fullCommand="db:fixtures:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:fixtures:identify" id="identify" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Migrate the database (options: VERSION=x, VERBOSE=false, SCOPE=blog)" fullCommand="db:migrate" id="migrate" />
              <RakeTaskImpl id="migrate">
                <subtasks>
                  <RakeTaskImpl description="Runs the &quot;down&quot; for a given migration VERSION" fullCommand="db:migrate:down" id="down" />
                  <RakeTaskImpl description="Rolls back the database one migration and re-migrates up (options: STEP=x, VERSION=x)" fullCommand="db:migrate:redo" id="redo" />
                  <RakeTaskImpl description="Display status of migrations" fullCommand="db:migrate:status" id="status" />
                  <RakeTaskImpl description="Runs the &quot;up&quot; for a given migration VERSION" fullCommand="db:migrate:up" id="up" />
                  <RakeTaskImpl description="" fullCommand="db:migrate:reset" id="reset" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Runs setup if database does not exist, or runs migrations if it does" fullCommand="db:prepare" id="prepare" />
              <RakeTaskImpl description="Drops and recreates the database from db/schema.rb for the current environment and loads the seeds" fullCommand="db:reset" id="reset" />
              <RakeTaskImpl description="Rolls the schema back to the previous version (specify steps w/ STEP=n)" fullCommand="db:rollback" id="rollback" />
              <RakeTaskImpl id="schema">
                <subtasks>
                  <RakeTaskImpl id="cache">
                    <subtasks>
                      <RakeTaskImpl description="Clears a db/schema_cache.yml file" fullCommand="db:schema:cache:clear" id="clear" />
                      <RakeTaskImpl description="Creates a db/schema_cache.yml file" fullCommand="db:schema:cache:dump" id="dump" />
                    </subtasks>
                  </RakeTaskImpl>
                  <RakeTaskImpl description="Creates a database schema file (either db/schema.rb or db/structure.sql, depending on `config.active_record.schema_format`)" fullCommand="db:schema:dump" id="dump" />
                  <RakeTaskImpl description="Loads a database schema file (either db/schema.rb or db/structure.sql, depending on `config.active_record.schema_format`) into the database" fullCommand="db:schema:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:schema:load_if_ruby" id="load_if_ruby" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Loads the seed data from db/seeds.rb" fullCommand="db:seed" id="seed" />
              <RakeTaskImpl id="seed">
                <subtasks>
                  <RakeTaskImpl description="Truncates tables of each database for current environment and loads the seeds" fullCommand="db:seed:replant" id="replant" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Creates the database, loads the schema, and initializes with the seed data (use db:reset to also drop the database first)" fullCommand="db:setup" id="setup" />
              <RakeTaskImpl id="structure">
                <subtasks>
                  <RakeTaskImpl description="Dumps the database structure to db/structure.sql" fullCommand="db:structure:dump" id="dump" />
                  <RakeTaskImpl description="Recreates the databases from the structure.sql file" fullCommand="db:structure:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:structure:load_if_sql" id="load_if_sql" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Retrieves the current schema version number" fullCommand="db:version" id="version" />
              <RakeTaskImpl description="" fullCommand="db:_dump" id="_dump" />
              <RakeTaskImpl description="" fullCommand="db:abort_if_pending_migrations" id="abort_if_pending_migrations" />
              <RakeTaskImpl description="" fullCommand="db:charset" id="charset" />
              <RakeTaskImpl description="" fullCommand="db:check_protected_environments" id="check_protected_environments" />
              <RakeTaskImpl description="" fullCommand="db:collation" id="collation" />
              <RakeTaskImpl id="create">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:create:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="drop">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:drop:_unsafe" id="_unsafe" />
                  <RakeTaskImpl description="" fullCommand="db:drop:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="db:forward" id="forward" />
              <RakeTaskImpl description="" fullCommand="db:load_config" id="load_config" />
              <RakeTaskImpl description="" fullCommand="db:purge" id="purge" />
              <RakeTaskImpl id="purge">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:purge:all" id="all" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="test">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="db:test:load" id="load" />
                  <RakeTaskImpl description="" fullCommand="db:test:load_schema" id="load_schema" />
                  <RakeTaskImpl description="" fullCommand="db:test:load_structure" id="load_structure" />
                  <RakeTaskImpl description="" fullCommand="db:test:prepare" id="prepare" />
                  <RakeTaskImpl description="" fullCommand="db:test:purge" id="purge" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="" fullCommand="db:truncate_all" id="truncate_all" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="log">
            <subtasks>
              <RakeTaskImpl description="Truncates all/specified *.log files in log/ to zero bytes (specify which logs with LOGS=test,development)" fullCommand="log:clear" id="clear" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="Prints out your Rack middleware stack" fullCommand="middleware" id="middleware" />
          <RakeTaskImpl description="Restart app by touching tmp/restart.txt" fullCommand="restart" id="restart" />
          <RakeTaskImpl description="Generate a cryptographically secure secret key (this is typically used to generate a secret for cookie sessions)" fullCommand="secret" id="secret" />
          <RakeTaskImpl description="Run all specs in spec directory (excluding plugin specs)" fullCommand="spec" id="spec" />
          <RakeTaskImpl id="spec">
            <subtasks>
              <RakeTaskImpl description="Run the code examples in spec/controllers" fullCommand="spec:controllers" id="controllers" />
              <RakeTaskImpl description="Run the code examples in spec/models" fullCommand="spec:models" id="models" />
              <RakeTaskImpl description="Run the code examples in spec/routing" fullCommand="spec:routing" id="routing" />
              <RakeTaskImpl description="Run the code examples in spec/system" fullCommand="spec:system" id="system" />
              <RakeTaskImpl description="" fullCommand="spec:prepare" id="prepare" />
              <RakeTaskImpl description="" fullCommand="spec:statsetup" id="statsetup" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="Report code statistics (KLOCs, etc) from the application or engine" fullCommand="stats" id="stats" />
          <RakeTaskImpl description="Runs all tests in test folder except system ones" fullCommand="test" id="test" />
          <RakeTaskImpl id="test">
            <subtasks>
              <RakeTaskImpl description="Runs all tests, including system tests" fullCommand="test:all" id="all" />
              <RakeTaskImpl description="Run tests quickly, but also reset db" fullCommand="test:db" id="db" />
              <RakeTaskImpl description="Run system tests only" fullCommand="test:system" id="system" />
              <RakeTaskImpl description="" fullCommand="test:channels" id="channels" />
              <RakeTaskImpl description="" fullCommand="test:controllers" id="controllers" />
              <RakeTaskImpl description="" fullCommand="test:functionals" id="functionals" />
              <RakeTaskImpl description="" fullCommand="test:generators" id="generators" />
              <RakeTaskImpl description="" fullCommand="test:helpers" id="helpers" />
              <RakeTaskImpl description="" fullCommand="test:integration" id="integration" />
              <RakeTaskImpl description="" fullCommand="test:jobs" id="jobs" />
              <RakeTaskImpl description="" fullCommand="test:mailboxes" id="mailboxes" />
              <RakeTaskImpl description="" fullCommand="test:mailers" id="mailers" />
              <RakeTaskImpl description="" fullCommand="test:models" id="models" />
              <RakeTaskImpl description="" fullCommand="test:prepare" id="prepare" />
              <RakeTaskImpl description="" fullCommand="test:run" id="run" />
              <RakeTaskImpl description="" fullCommand="test:units" id="units" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="time">
            <subtasks>
              <RakeTaskImpl description="List all time zones, list by two-letter country code (`bin/rails time:zones[US]`), or list by UTC offset (`bin/rails time:zones[-8]`)" fullCommand="time:zones[country_or_offset]" id="zones[country_or_offset]" />
              <RakeTaskImpl description="" fullCommand="time:zones" id="zones" />
              <RakeTaskImpl id="zones">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="time:zones:all" id="all" />
                  <RakeTaskImpl description="" fullCommand="time:zones:local" id="local" />
                  <RakeTaskImpl description="" fullCommand="time:zones:us" id="us" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="tmp">
            <subtasks>
              <RakeTaskImpl description="Clear cache, socket and screenshot files from tmp/ (narrow w/ tmp:cache:clear, tmp:sockets:clear, tmp:screenshots:clear)" fullCommand="tmp:clear" id="clear" />
              <RakeTaskImpl description="Creates tmp directories for cache, sockets, and pids" fullCommand="tmp:create" id="create" />
              <RakeTaskImpl id="cache">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:cache:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="pids">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:pids:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="screenshots">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:screenshots:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="sockets">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="tmp:sockets:clear" id="clear" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="webdrivers">
            <subtasks>
              <RakeTaskImpl id="chromedriver">
                <subtasks>
                  <RakeTaskImpl description="Force remove chromedriver" fullCommand="webdrivers:chromedriver:remove" id="remove" />
                  <RakeTaskImpl description="Remove and download updated chromedriver if necessary" fullCommand="webdrivers:chromedriver:update[version]" id="update[version]" />
                  <RakeTaskImpl description="Print current chromedriver version" fullCommand="webdrivers:chromedriver:version" id="version" />
                  <RakeTaskImpl description="" fullCommand="webdrivers:chromedriver:update" id="update" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="edgedriver">
                <subtasks>
                  <RakeTaskImpl description="Force remove edgedriver" fullCommand="webdrivers:edgedriver:remove" id="remove" />
                  <RakeTaskImpl description="Remove and download updated edgedriver if necessary" fullCommand="webdrivers:edgedriver:update[version]" id="update[version]" />
                  <RakeTaskImpl description="Print current edgedriver version" fullCommand="webdrivers:edgedriver:version" id="version" />
                  <RakeTaskImpl description="" fullCommand="webdrivers:edgedriver:update" id="update" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="geckodriver">
                <subtasks>
                  <RakeTaskImpl description="Force remove geckodriver" fullCommand="webdrivers:geckodriver:remove" id="remove" />
                  <RakeTaskImpl description="Remove and download updated geckodriver if necessary" fullCommand="webdrivers:geckodriver:update[version]" id="update[version]" />
                  <RakeTaskImpl description="Print current geckodriver version" fullCommand="webdrivers:geckodriver:version" id="version" />
                  <RakeTaskImpl description="" fullCommand="webdrivers:geckodriver:update" id="update" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl id="iedriver">
                <subtasks>
                  <RakeTaskImpl description="Force remove IEDriverServer" fullCommand="webdrivers:iedriver:remove" id="remove" />
                  <RakeTaskImpl description="Remove and download updated IEDriverServer if necessary" fullCommand="webdrivers:iedriver:update[version]" id="update[version]" />
                  <RakeTaskImpl description="Print current IEDriverServer version" fullCommand="webdrivers:iedriver:version" id="version" />
                  <RakeTaskImpl description="" fullCommand="webdrivers:iedriver:update" id="update" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="Lists all available tasks in Webpacker" fullCommand="webpacker" id="webpacker" />
          <RakeTaskImpl id="webpacker">
            <subtasks>
              <RakeTaskImpl description="Installs Webpacker binstubs in this application" fullCommand="webpacker:binstubs" id="binstubs" />
              <RakeTaskImpl description="Verifies that webpack &amp; webpack-dev-server are present" fullCommand="webpacker:check_binstubs" id="check_binstubs" />
              <RakeTaskImpl description="Verifies if Node.js is installed" fullCommand="webpacker:check_node" id="check_node" />
              <RakeTaskImpl description="Verifies if Yarn is installed" fullCommand="webpacker:check_yarn" id="check_yarn" />
              <RakeTaskImpl description="Remove old compiled webpacks" fullCommand="webpacker:clean[keep,age]" id="clean[keep,age]" />
              <RakeTaskImpl description="Remove the webpack compiled output directory" fullCommand="webpacker:clobber" id="clobber" />
              <RakeTaskImpl description="Compile JavaScript packs using webpack for production with digests" fullCommand="webpacker:compile" id="compile" />
              <RakeTaskImpl description="Provide information on Webpacker's environment" fullCommand="webpacker:info" id="info" />
              <RakeTaskImpl description="Install Webpacker in this application" fullCommand="webpacker:install" id="install" />
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="Install everything needed for Angular" fullCommand="webpacker:install:angular" id="angular" />
                  <RakeTaskImpl description="Install everything needed for Coffee" fullCommand="webpacker:install:coffee" id="coffee" />
                  <RakeTaskImpl description="Install everything needed for Elm" fullCommand="webpacker:install:elm" id="elm" />
                  <RakeTaskImpl description="Install everything needed for Erb" fullCommand="webpacker:install:erb" id="erb" />
                  <RakeTaskImpl description="Install everything needed for React" fullCommand="webpacker:install:react" id="react" />
                  <RakeTaskImpl description="Install everything needed for Stimulus" fullCommand="webpacker:install:stimulus" id="stimulus" />
                  <RakeTaskImpl description="Install everything needed for Svelte" fullCommand="webpacker:install:svelte" id="svelte" />
                  <RakeTaskImpl description="Install everything needed for Typescript" fullCommand="webpacker:install:typescript" id="typescript" />
                  <RakeTaskImpl description="Install everything needed for Vue" fullCommand="webpacker:install:vue" id="vue" />
                </subtasks>
              </RakeTaskImpl>
              <RakeTaskImpl description="Verifies if Webpacker is installed" fullCommand="webpacker:verify_install" id="verify_install" />
              <RakeTaskImpl description="Support for older Rails versions" fullCommand="webpacker:yarn_install" id="yarn_install" />
              <RakeTaskImpl description="" fullCommand="webpacker:clean" id="clean" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="yarn">
            <subtasks>
              <RakeTaskImpl description="Install all JavaScript dependencies as specified via Yarn" fullCommand="yarn:install" id="install" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="zeitwerk">
            <subtasks>
              <RakeTaskImpl description="Checks project structure for Zeitwerk compatibility" fullCommand="zeitwerk:check" id="check" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl id="assets">
            <subtasks>
              <RakeTaskImpl description="" fullCommand="assets:clean" id="clean" />
              <RakeTaskImpl description="" fullCommand="assets:precompile" id="precompile" />
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="" fullCommand="default" id="default" />
          <RakeTaskImpl description="" fullCommand="environment" id="environment" />
          <RakeTaskImpl id="railties">
            <subtasks>
              <RakeTaskImpl id="install">
                <subtasks>
                  <RakeTaskImpl description="" fullCommand="railties:install:migrations" id="migrations" />
                </subtasks>
              </RakeTaskImpl>
            </subtasks>
          </RakeTaskImpl>
          <RakeTaskImpl description="" fullCommand="tmp" id="tmp" />
          <RakeTaskImpl description="" fullCommand="tmp/cache" id="tmp/cache" />
          <RakeTaskImpl description="" fullCommand="tmp/cache/assets" id="tmp/cache/assets" />
          <RakeTaskImpl description="" fullCommand="tmp/pids" id="tmp/pids" />
          <RakeTaskImpl description="" fullCommand="tmp/sockets" id="tmp/sockets" />
        </subtasks>
      </RakeTaskImpl>
    </option>
  </component>
</module>